Package docking.widgets.indexedscrollpane

# Class IndexedScrollPane

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
docking.widgets.indexedscrollpane.IndexedScrollPane

All Implemented Interfaces:
  `IndexScrollListener`, `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class IndexedScrollPane extends JPanel implements IndexScrollListener

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JPanel

  `JPanel.AccessibleJPanel`

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexedScrollPane(JComponent comp)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JViewport`
  `getColumnHeader()`
  `JScrollBar`
  `getHorizontalScrollBar()`
  `JScrollBar`
  `getVerticalScrollBar()`
  `Rectangle`
  `getViewportBorderBounds()`
  `Dimension`
  `getViewSize()`
  `void`
  `indexModelChanged()`
  `void`
  `indexModelDataChanged(BigInteger start, BigInteger end)`
  `void`
  `indexRangeChanged(BigInteger startIndex, BigInteger endIndex, int yStart, int yEnd)`
  `void`
  `setBackground(Color bg)`
  `void`
  `setColumnHeader(JViewport header)`
  `void`
  `setColumnHeaderComp(JComponent comp)`
  `void`
  `setHorizontalScrollBarPolicy(int policy)`
  `void`
  `setNeverScroll(boolean b)`
  Sets this scroll pane to never show scroll bars.
  `void`
  `setScrollbarSideKickComponent(JComponent component)`
  `void`
  `setVerticalScrollBarPolicy(int policy)`
  `void`
  `setWheelScrollingEnabled(boolean enabled)`
  Sets whether the scroll wheel triggers scrolling when over the scroll pane of this class.
  `void`
  `viewportStateChanged()`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IndexedScrollPane

    public IndexedScrollPane(JComponent comp)

- ## Method Details

  - ### setBackground

    public void setBackground(Color bg)
    Overrides:
      `setBackground` in class `JComponent`

  - ### setNeverScroll

    public void setNeverScroll(boolean b)
    Sets this scroll pane to never show scroll bars. This is useful when you want a container whose view is always as big as the component in this scroll pane.
    Parameters:
      `b` - true to never scroll

  - ### setVerticalScrollBarPolicy

    public void setVerticalScrollBarPolicy(int policy)

  - ### setHorizontalScrollBarPolicy

    public void setHorizontalScrollBarPolicy(int policy)

  - ### getViewSize

    public Dimension getViewSize()

  - ### viewportStateChanged

    public void viewportStateChanged()

  - ### indexRangeChanged

    public void indexRangeChanged(BigInteger startIndex, BigInteger endIndex, int yStart, int yEnd)
    Specified by:
      `indexRangeChanged` in interface `IndexScrollListener`

  - ### indexModelChanged

    public void indexModelChanged()
    Specified by:
      `indexModelChanged` in interface `IndexScrollListener`

  - ### indexModelDataChanged

    public void indexModelDataChanged(BigInteger start, BigInteger end)
    Specified by:
      `indexModelDataChanged` in interface `IndexScrollListener`

  - ### getHorizontalScrollBar

    public JScrollBar getHorizontalScrollBar()

  - ### setColumnHeader

    public void setColumnHeader(JViewport header)

  - ### setColumnHeaderComp

    public void setColumnHeaderComp(JComponent comp)

  - ### getColumnHeader

    public JViewport getColumnHeader()

  - ### getVerticalScrollBar

    public JScrollBar getVerticalScrollBar()

  - ### getViewportBorderBounds

    public Rectangle getViewportBorderBounds()

  - ### setScrollbarSideKickComponent

    public void setScrollbarSideKickComponent(JComponent component)

  - ### setWheelScrollingEnabled

    public void setWheelScrollingEnabled(boolean enabled)
    Sets whether the scroll wheel triggers scrolling when over the scroll pane of this class. When disabled, scrolling will still work when over the component inside of this class, but not when over the scroll bar.
    Parameters:
      `enabled` - true to enable